package net.pricefx.logic.core.config;

import com.fasterxml.jackson.core.JsonGenerator;
import com.fasterxml.jackson.databind.SerializerProvider;
import com.fasterxml.jackson.databind.ser.std.StdSerializer;

import java.io.IOException;

public class PartitionSerializer extends StdSerializer<Partition> {

    public PartitionSerializer() {
        this(null);
    }

    public PartitionSerializer(Class<Partition> t) {
        super(t);
    }

    @Override
    public void serialize(
            Partition partition, JsonGenerator jgen, SerializerProvider provider)
            throws IOException {

        jgen.writeString(partition.getUrl());
    }
}
