package net.pricefx.server.dto.calculation;

/**
 * Makes sure that a result appears "as-is" in the fromula result
 * This is e.g. usful in the case where a formula result is a list or array and should appear as true json list in the formula response as well
 *
 */
public class WrappedResult {

	private final Object result;

	public WrappedResult(Object result) {
		this.result = result;
	}

	public Object getResult() {
		return result;
	}

}
